
Redmine - Defect #3955

Activity module is not updated after Git repository update

2009-10-01 10:22 - Marko Poutiainen

Status: Closed Start date: 2009-10-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.5

Description

The project activity module page doesn't update after a change to a repository until a user has visited the repository module page.

This means that latest changes are often not visible to users.

Suggestion: the activity module should call the repository module's refresh before showing the activities.

History

#1 - 2009-10-01 12:44 - Felix Schäfer

I have post-commit hooks in my repos to update redmine after a commit, that might solve your problem. See #3667

#2 - 2009-10-02 16:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

This has been discussed multiple times in the past.

Use post-commit hooks or a cron job.

http://www.redmine.org/wiki/redmine/FAQ#Commits-dont-show-up-in-the-activity-until-I-click-on-Repository
